Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class EclipsePlugin

    java.lang.Object
      org.gradle.plugins.ide.internal.IdePlugin
          org.gradle.plugins.ide.eclipse.EclipsePlugin

    class EclipsePlugin
    extends IdePlugin

A plugin which generates Eclipse files.

Property Summary
`static String` | `ECLIPSE_CP_TASK_NAME`
`static String` | `ECLIPSE_JDT_TASK_NAME`
`static String` | `ECLIPSE_PROJECT_TASK_NAME`
`static String` | `ECLIPSE_TASK_NAME`
`EclipseModel` | `model`

Constructor Summary
`EclipsePlugin(Instantiator instantiator)`

Method Summary
`protected String` | `getLifecycleTaskName()`
`void` | `hookDeduplicationToTheRoot(Project project)`
`void` | `makeSureProjectNamesAreUnique()`
`protected void` | `onApply(Project project)`

Property Detail

### ECLIPSE_CP_TASK_NAME

    static final String ECLIPSE_CP_TASK_NAME

### ECLIPSE_JDT_TASK_NAME

    static final String ECLIPSE_JDT_TASK_NAME

### ECLIPSE_PROJECT_TASK_NAME

    static final String ECLIPSE_PROJECT_TASK_NAME

### ECLIPSE_TASK_NAME

    static final String ECLIPSE_TASK_NAME

### model

    EclipseModel model

Constructor Detail

### EclipsePlugin

    @Inject
    EclipsePlugin(Instantiator instantiator)

Method Detail

### getLifecycleTaskName

    @Override
    protected String getLifecycleTaskName()

### hookDeduplicationToTheRoot

    void hookDeduplicationToTheRoot(Project project)

### makeSureProjectNamesAreUnique

    void makeSureProjectNamesAreUnique()

### onApply

    @Override
    protected void onApply(Project project)

Gradle API 1.10